> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kiwify.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar detalhes da conta



## OpenAPI

````yaml get /account-details
openapi: 3.1.0
info:
  version: 1.0.0
  title: API Kiwify
  description: ''
servers:
  - url: https://public-api.kiwify.com/v1/
    description: base
security: []
tags:
  - name: Autenticação
  - name: Conta
  - name: Produtos
  - name: Vendas
  - name: Financeiro
  - name: Affiliados
  - name: Webhooks
  - name: Eventos
paths:
  /account-details:
    get:
      tags:
        - Conta
      responses:
        '200':
          description: Get Account Details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountDetails'
              examples:
                AccountDetails:
                  summary: AccountDetails example
                  value:
                    id: XvS0qfkdzCZTg8z
                    company_name: Teste LTDA
                    director_cpf: '99999999999'
                    company_cnpj: '99999999999999'
                    legal_entities:
                      - id: d644de3d-9a02-46b1-aed4-72785fe8828f
                        active: true
                        company_name: Teste LTDA
                        director_cpf: '99999999999'
                        company_cnpj: ''
                        pix_key: '99999999999'
                        created_at: '2023-05-31T12:23:59.746Z'
                        updated_at: '2023-09-27T18:10:37.697Z'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthErrorResponse'
              examples:
                InvalidClient:
                  value:
                    error: auth_error
                    message: 'Invalid token: access token is invalid'
          description: Solicitação Inválida
      security:
        - AccountIdHeader: []
          OAuth2:
            - stats
components:
  schemas:
    AccountDetails:
      type: object
      properties:
        id:
          type: string
          example: U9VcH6yZzRkT2fB
        company_name:
          type: string
          example: Minha Empresa
        director_cpf:
          type: string
          example: '99999999999'
        company_cnpj:
          type: string
          example: '99999999999999'
        legal_entities:
          type: array
          items:
            $ref: '#/components/schemas/LegalEntity'
    OAuthErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: auth_error
        message:
          type: string
          example: 'Invalid client: client is invalid'
    LegalEntity:
      type: object
      properties:
        id:
          type: string
          example: 1306b3b2-49b0-417e-a9d6-d58d585ff3b9
        active:
          type: boolean
          example: true
        company_name:
          type: string
          example: Minha Empresa
        director_cpf:
          type: string
          example: '99999999999'
        company_cnpj:
          type: string
          example: '99999999999999'
        pix_key:
          type: string
          example: '99999999999'
        created_at:
          type: string
          example: '2023-05-31T12:23:59.746Z'
        updated_at:
          type: string
          example: '2023-05-31T12:23:59.746Z'
  securitySchemes:
    AccountIdHeader:
      type: apiKey
      in: header
      name: x-kiwify-account-id
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes:
            stats: stats
            products: products
            events: events
            sales: sales
            sales_refund: sales_refund
            financial: financial
            affiliates: affiliates
            webhooks: webhooks

````